Search documentation of ash

# Ash.ProcessHelpers (ash v3.4.71)

View Source

Helpers for working with processes and Ash actions.

# Summary

## Functions

async(func, opts)

Creates a task that will properly transfer the ash context to the new process

get_context_for_transfer(opts \\ [])

Gets all of the ash context so it can be set into a new process.

task_with_timeout(fun, resource, timeout, name, tracer)

Creates a task that will properly transfer the ash context to the new process, and timeout if it takes longer than the given timeout

transfer_context(tracer_context, opts \\ [])

# Functions

# async(func, opts)

Creates a task that will properly transfer the ash context to the new process

# get_context_for_transfer(opts \\ [])

    @spec get_context_for_transfer(opts :: Keyword.t()) :: term()

Gets all of the ash context so it can be set into a new process.

Use `transfer_context/1` in the new process to set the context.

# task_with_timeout(fun, resource, timeout, name, tracer)

Creates a task that will properly transfer the ash context to the new process, and timeout if it takes longer than the given timeout

# transfer_context(tracer_context, opts \\ [])

    @spec transfer_context(term(), opts :: Keyword.t()) :: :ok